Get v1vcissuercredentials - Terminal 3 Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \
--url https://staging.terminal3.io/v1/vc/issuer/credentials \
--header 'x-api-token: <x-api-token>'
import requests
url = "https://staging.terminal3.io/v1/vc/issuer/credentials"
headers = {"x-api-token": "<x-api-token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {'x-api-token': '<x-api-token>'}};
fetch('https://staging.terminal3.io/v1/vc/issuer/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200
- 400
- 401
- 403
- 422
Response Structure
{
"data": [
{
"@context": ["<string>"],
"id": "<string>",
"issuer": "<string>",
"credentialSubject": {
"id": "<string>"
},
"type": ["<string>"],
"validFrom": "<string>",
"validUntil": "<string>",
"proof": {
"type": "<string>",
"proofPurpose": "<string>",
"verificationMethod": "<string>",
"created": "<string>",
"mandatoryPointers": ["<string>"],
"cryptosuite": "<string>",
"@context": ["<string>"],
"proofValue": "<string>"
},
"credentialStatus": "<unknown>"
}
]
}
{
"errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}
Headers
- x-api-token (string) - required
- x-api-subclient-id (string)
Query Parameters
- holder (string) - Minimum string length:
1 - id (string) - Minimum string length:
1
Response
200 - application/json - Success
data (object[]) - required